org.keycloak.models

## Class ModelDuplicateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.keycloak.models.ModelException
        - - org.keycloak.models.ModelDuplicateException

- All Implemented Interfaces:
    Serializable

      public class ModelDuplicateException
      extends ModelException

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelDuplicateException()`
    `ModelDuplicateException(String message)`
    `ModelDuplicateException(String message, String duplicateFieldName)`
    `ModelDuplicateException(String message, Throwable cause)`
    `ModelDuplicateException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDuplicateFieldName()`

    - ### Methods inherited from class org.keycloak.models.ModelException

      `getParameters, setParameters`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelDuplicateException

          public ModelDuplicateException()

    - #### ModelDuplicateException

          public ModelDuplicateException(String message)

    - #### ModelDuplicateException

          public ModelDuplicateException(String message,
                                         String duplicateFieldName)

    - #### ModelDuplicateException

          public ModelDuplicateException(String message,
                                         Throwable cause)

    - #### ModelDuplicateException

          public ModelDuplicateException(Throwable cause)

  - ### Method Detail

    - #### getDuplicateFieldName

          public String getDuplicateFieldName()

Copyright © 2021 JBoss by Red Hat. All rights reserved.